| Home | Libraries | People | FAQ | More

##### ssl::basic_context::set_verify_mode (2 of 2 overloads)

Set the peer verification mode.

    boost::system::error_code set_verify_mode(
        verify_mode v,
        boost::system::error_code & ec);

This function may be used to configure the peer verification mode used by the context.

###### Parameters

v

  A bitmask of peer verification modes. The available verify_mode values are defined in the `ssl::context_base` class.

ec

  Set to indicate what error occurred, if any.